petsc-3.12.4 2020-02-04
Report Typos and Errors

# SNESMonitorRatioSetUp

Insures the SNES object is saving its history since this monitor needs access to it

### Synopsis

    #include "petsc/private/snesimpl.h"
    PetscErrorCode  SNESMonitorRatioSetUp(SNES snes,PetscViewerAndFormat *vf)

Collective on SNES

### Input Parameters

| snes | - the SNES context
| viewer | - the PetscViewer object (ignored)

### See Also

SNESMonitorSet(), SNESMonitorSolution(), SNESMonitorDefault(), SNESMonitorRatio()

### Level

intermediate

### Location

src/snes/interface/snesut.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages